Bug 1771528 - Job details is missing overall result, only percentage is shown
Summary: Job details is missing overall result, only percentage is shown
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Remote Execution
Version: 6.7.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: 6.7.0
Assignee: Adam Ruzicka
QA Contact: Peter Dragun
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-11-12 14:37 UTC by Peter Dragun
Modified: 2020-04-14 13:27 UTC (History)
3 users (show)

Fixed In Version: tfm-rubygem-foreman_remote_execution-2.0.3
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-04-14 13:27:10 UTC
Target Upstream Version:


Attachments (Terms of Use)
6.7 screenshot (21.54 KB, image/png)
2019-11-12 14:37 UTC, Peter Dragun
no flags Details
6.6 screenshot (22.14 KB, image/png)
2019-11-12 14:39 UTC, Peter Dragun
no flags Details


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 28247 Normal Closed Job details is missing overall result, only percentage is shown 2019-12-16 08:40:44 UTC
Red Hat Product Errata RHSA-2020:1454 None None None 2020-04-14 13:27:20 UTC

Description Peter Dragun 2019-11-12 14:37:59 UTC
Created attachment 1635362 [details]
6.7 screenshot

Description of problem:
In web UI in job details there isn't overall result inside pie chart. There is only percentage and result (Failed, Succeeded) is missing. Result was there in 6.6 ( see attachments )

Version-Release number of selected component (if applicable):
Sat 6.7 snap 1

How reproducible:
always

Steps to Reproduce:
1. Have some job that already run
2. Navigate to the details page of job

Actual results:
There is only percentage inside of pie chart 

Expected results:
There should be overall result below percentage 
 
Additional info:
Looks like this element where result should be (and in 6.6 was) is still there but is empty

Comment 3 Peter Dragun 2019-11-12 14:39:59 UTC
Created attachment 1635363 [details]
6.6 screenshot

Comment 5 Adam Ruzicka 2019-11-12 15:41:20 UTC
If I'm reading things right then this changed in patternfly-react in this commit[1].

[1] - https://github.com/patternfly/patternfly-react/commit/937d2d764a449e31276f1291fc528ff7ed625106#diff-d14474327ed799b56994a2b1456c368eL25

Comment 6 Adam Ruzicka 2019-11-12 15:42:13 UTC
Created redmine issue https://projects.theforeman.org/issues/28247 from this bug

Comment 7 Bryan Kearney 2019-11-12 17:00:55 UTC
Upstream bug assigned to aruzicka@redhat.com

Comment 8 Bryan Kearney 2019-11-12 17:00:57 UTC
Upstream bug assigned to aruzicka@redhat.com

Comment 9 Bryan Kearney 2019-11-21 13:01:04 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/28247 has been resolved.

Comment 10 Peter Dragun 2019-11-25 10:51:14 UTC
Verified on sat 6.7 snap 3. Now I can see overall status inside pie chart.

Comment 13 errata-xmlrpc 2020-04-14 13:27:10 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:1454


Note You need to log in before you can comment on or make changes to this bug.